AppsApi
Use this API to implement source application functionality. With this functionality in place, you can create, customize, and manage applications within sources.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-source-app-v1 | POST /source-apps/v1 | Create source app |
| delete-access-profiles-from-source-app-by-bulk-v1 | POST /source-apps/v1/{id}/access-profiles/bulk-remove | Bulk remove access profiles from the specified source app |
| delete-source-app-v1 | DELETE /source-apps/v1/{id} | Delete source app by id |
| get-source-app-v1 | GET /source-apps/v1/{id} | Get source app by id |
| list-access-profiles-for-source-app-v1 | GET /source-apps/v1/{id}/access-profiles | List access profiles for the specified source app |
| list-all-source-app-v1 | GET /source-apps/v1/all | List all source apps |
| list-all-user-apps-v1 | GET /user-apps/v1/all | List all user apps |
| list-assigned-source-app-v1 | GET /source-apps/v1/assigned | List assigned source apps |
| list-available-accounts-for-user-app-v1 | GET /user-apps/v1/{id}/available-accounts | List available accounts for user app |
| list-available-source-apps-v1 | GET /source-apps/v1 | List available source apps |
| list-owned-user-apps-v1 | GET /user-apps/v1 | List owned user apps |
| patch-source-app-v1 | PATCH /source-apps/v1/{id} | Patch source app by id |
| patch-user-app-v1 | PATCH /user-apps/v1/{id} | Patch user app by id |
| update-source-apps-in-bulk-v1 | POST /source-apps/v1/bulk-update | Bulk update source apps |
create-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Create source app This endpoint creates a source app using the given source app payload
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| sourceappcreatedto | Sourceappcreatedto | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Sourceapp
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Sourceappcreatedto } from 'sailpoint-api-client/dist/apps/api';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const sourceappcreatedto: Sourceappcreatedto = {"name":"new app name","description":"app description","matchAllAccounts":true,"accountSource":{"id":"edcb0951812949d085b60cd8bf35bc78"}}; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.createSourceAppV1({ sourceappcreatedto: sourceappcreatedto });
console.log(result);
delete-access-profiles-from-source-app-by-bulk-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Bulk remove access profiles from the specified source app This API returns the final list of access profiles for the specified source app after removing
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | ID of the source app | [default to undefined] |
| requestBody | Array<string> | List of access profile IDs for removal | |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Accessprofiledetails>
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c91808a7813090a017814121e121518; // ID of the source app
const requestBody: Array<string> = ["c9575abb5e3a4e3db82b2f989a738aa2","c9dc28e148a24d65b3ccb5fb8ca5ddd9"]; // List of access profile IDs for removal
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.deleteAccessProfilesFromSourceAppByBulkV1({ id: id, requestBody: requestBody });
console.log(result);
delete-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Delete source app by id Use this API to delete a specific source app
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | source app ID. | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Sourceapp
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c9180835d191a86015d28455b4a2329; // source app ID.
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.deleteSourceAppV1({ id: id });
console.log(result);
get-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Get source app by id This API returns a source app by its ID.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | ID of the source app | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Sourceapp
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c91808a7813090a017814121e121518; // ID of the source app
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getSourceAppV1({ id: id });
console.log(result);
list-access-profiles-for-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List access profiles for the specified source app This API returns the list of access profiles for the specified source app
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | ID of the source app | [default to undefined] |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq, in name: eq, in created: gt, lt, ge, le modified: gt, lt, ge, le | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Accessprofiledetails>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c91808a7813090a017814121e121518; // ID of the source app
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = name eq "developer access profile"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq, in* **name**: *eq, in* **created**: *gt, lt, ge, le* **modified**: *gt, lt, ge, le* (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listAccessProfilesForSourceAppV1({ id: id });
console.log(result);
list-all-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List all source apps This API returns the list of all source apps for the org.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: id, name, created, modified, owner.id, accountSource.id | [optional] [default to undefined] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq, in name: eq, in, co, sw created: gt, lt, ge, le modified: gt, ge, le owner.id: eq, in enabled: eq | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Sourceapp>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const sorters: string = name,-modified; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **id, name, created, modified, owner.id, accountSource.id** (optional)
const filters: string = enabled eq true; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq, in* **name**: *eq, in, co, sw* **created**: *gt, lt, ge, le* **modified**: *gt, ge, le* **owner.id**: *eq, in* **enabled**: *eq* (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listAllSourceAppV1({ });
console.log(result);
list-all-user-apps-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List all user apps This API returns the list of all user apps with specified filters. This API must be used with filters query parameter.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq ownerId: eq ownerName: eq, sw ownerAlias: eq, sw accountId: eq sourceAppId: eq | [default to undefined] |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Userapp>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const filters: string = name eq "user app name"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq* **ownerId**: *eq* **ownerName**: *eq, sw* **ownerAlias**: *eq, sw* **accountId**: *eq* **sourceAppId**: *eq*
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listAllUserAppsV1({ filters: filters });
console.log(result);
list-assigned-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List assigned source apps This API returns the list of source apps assigned for logged in user.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: id, name, created, modified, accountSource.id | [optional] [default to undefined] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq, in name: eq, in, co, sw created: gt, lt, ge, le modified: gt, lt, ge, le accountSource.id: eq, in | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Sourceapp>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const sorters: string = name,-modified; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **id, name, created, modified, accountSource.id** (optional)
const filters: string = name eq "source app name"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq, in* **name**: *eq, in, co, sw* **created**: *gt, lt, ge, le* **modified**: *gt, lt, ge, le* **accountSource.id**: *eq, in* (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listAssignedSourceAppV1({ });
console.log(result);
list-available-accounts-for-user-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List available accounts for user app This API returns the list of available accounts for the specified user app. The user app needs to belong lo logged in user.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | ID of the user app | [default to undefined] |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Appaccountdetails>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c91808a7813090a017814121e121518; // ID of the user app
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listAvailableAccountsForUserAppV1({ id: id });
console.log(result);
list-available-source-apps-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List available source apps This API returns the list of source apps available for access request.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: id, name, created, modified, owner.id, accountSource.id | [optional] [default to undefined] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq, in name: eq, in, co, sw created: gt, lt, ge, le modified: gt, lt, ge, le accountSource.id: eq, in | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Sourceapp>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const sorters: string = name,-modified; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **id, name, created, modified, owner.id, accountSource.id** (optional)
const filters: string = name eq "source app name"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq, in* **name**: *eq, in, co, sw* **created**: *gt, lt, ge, le* **modified**: *gt, lt, ge, le* **accountSource.id**: *eq, in* (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listAvailableSourceAppsV1({ });
console.log(result);
list-owned-user-apps-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List owned user apps This API returns the list of user apps assigned to logged in user
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq ownerName: eq, sw ownerAlias: eq, sw accountId: eq sourceAppId: eq | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Userapp>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = name eq "user app name"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq* **ownerName**: *eq, sw* **ownerAlias**: *eq, sw* **accountId**: *eq* **sourceAppId**: *eq* (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listOwnedUserAppsV1({ });
console.log(result);
patch-source-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Patch source app by id This API updates an existing source app using JSON Patch syntax. The following fields are patchable: name, description, enabled, owner, provisionRequestEnabled, appCenterEnabled, accountSource, matchAllAccounts and accessProfiles. Name, description and owner can't be empty or null.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | ID of the source app to patch | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
| jsonpatchoperation | Array<Jsonpatchoperation> | [optional] |
Return type
Sourceapppatchdto
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Jsonpatchoperation } from 'sailpoint-api-client/dist/apps/api';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c91808a7813090a017814121e121518; // ID of the source app to patch
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const jsonpatchoperation: Array<Jsonpatchoperation> = [{"op":"replace","path":"/enabled","value":true},{"op":"replace","path":"/matchAllAccounts","value":true}]; // (optional)
const result = await apiInstance.patchSourceAppV1({ id: id });
console.log(result);
patch-user-app-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Patch user app by id This API updates an existing user app using JSON Patch syntax. The following fields are patchable: account
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | ID of the user app to patch | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
| jsonpatchoperation | Array<Jsonpatchoperation> | [optional] |
Return type
Userapp
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Jsonpatchoperation } from 'sailpoint-api-client/dist/apps/api';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const id: string = 2c91808a7813090a017814121e121518; // ID of the user app to patch
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const jsonpatchoperation: Array<Jsonpatchoperation> = ; // (optional)
const result = await apiInstance.patchUserAppV1({ id: id });
console.log(result);
update-source-apps-in-bulk-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Bulk update source apps This API updates source apps using JSON Patch syntax. It can update up to 50 source apps in a batch. The following fields can be updated: name, description, enabled, owner, provisionRequestEnabled, appCenterEnabled, accountSource, matchAllAccounts, and accessProfiles. Name, description and owner can't be empty or null.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
| sourceappbulkupdaterequest | Sourceappbulkupdaterequest | [optional] |
Return type
(empty response body)
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { AppsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Sourceappbulkupdaterequest } from 'sailpoint-api-client/dist/apps/api';
const configuration = new Configuration();
const apiInstance = new AppsApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const sourceappbulkupdaterequest: Sourceappbulkupdaterequest = ; // (optional)
const result = await apiInstance.updateSourceAppsInBulkV1({ });
console.log(result);